#ifndef PREFSDIALOG_H
#define PREFSDIALOG_H

#include "ui_prefs.h"

class PrefsDialog:public QDialog, public Ui::Dialog
{
    Q_OBJECT

    public:
          PrefsDialog(QWidget * parent = 0, Qt::WindowFlags f = 0,  int tabShowed=0);

    private:
          QString settingsFile;
          QString settingsPath;
          QAction * deleteAccountAction;


    private slots:
          void okAccept();
          void restoreSettings();

          void listWidgetUpdate(int itemIdx=0);
          void listWidgetChanged(int);

          void checkBoxInboxChanged(int );
          void cbSoundChanged(int);

          void pbAccountAddClicked();
          void pbAccountEditClicked();
          void pbAccountRemoveClicked();
          void pbAccountSaveClicked();
          void pbAccountCancelClicked();
          void toggleAccountEditMode(bool);

};

#endif // PREFSDIALOG_H
