TARGET = gmailquickcheck
CONFIG += release
QT += sql
QT += printsupport
TEMPLATE = app
OBJECTS_DIR += build
MOC_DIR += build
UI_DIR += build
SOURCES += main.cpp \
    SystrayIcon.cpp \
    PrefsDialog.cpp
HEADERS += SystrayIcon.h \
    PrefsDialog.h \
    SettingsInfo.h
RESOURCES += gMailQuickCheck.qrc
FORMS += ui/prefs.ui
TRANSLATIONS += ts/gmailquickcheck_fr.ts \
                ts/gmailquickcheck_de.ts \
                ts/gmailquickcheck_sp.ts \
                ts/gmailquickcheck_it.ts \
                ts/gmailquickcheck_pt.ts \
                ts/gmailquickcheck_pl.ts \
                ts/gmailquickcheck_ru.ts
# Unix installer.
unix { 
    isEmpty(PREFIX):PREFIX = /usr
    isEmpty(BINDIR):BINDIR = $$PREFIX/bin
    isEmpty(DATAROOT):DATAROOT = $$PREFIX/share
    isEmpty(DESKTOPDIR):DESKTOPDIR = $$DATAROOT/applications
    #isEmpty(IMAGEDIR):IMAGEDIR = $$DATAROOT/pixmaps
    isEmpty(TRANSLATIONSDIR):TRANSLATIONSDIR = $$DATAROOT/gmailquickcheck/translations
    target.path = $$BINDIR
    desktop.path = $$DESKTOPDIR
    desktop.files = gmailquickcheck.desktop
    #icons.path = $$IMAGEDIR
    #icons.files = gmailquickcheck.png
    translations_qm.path = $$TRANSLATIONSDIR
    translations_qm.files = ts/*.qm
    INSTALLS += target desktop translations_qm
}
